# RPM Spec file for GGZ Gtk client
%define name ggz-gtk-client
%define version 0.0.6
%define release 2mdk

Name: %{name}
Summary: GGZ Client for Gtk 1.2
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
Source: %name-%version.tar.bz2
URL: http://ggz.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libggz1 >= %{version}-%{release}
BuildRequires: libggz1-devel >= %{version}-%{release}
BuildRequires: libggz-client2 >= %{version}-%{release}
BuildRequires: libggz-client2-devel >= %{version}-%{release}
Requires: libggz1 >= %{version}-%{release}
Requires: libggz-client2 >= %{version}-%{release}

%description
The official GGZ Gaming Zone client for the Gtk 1.2 user interface.

%prep
%setup

%build
# The makefile puts the pixmaps directly in %{datadir}, rather than 
# %{datadir}/pixmaps/ggz, if datadir is specified. Rather than patch
# the package, we'll just hack around it here.
%define _datadir %{_prefix}/share/pixmaps/ggz 
%configure --disable-debug
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
# WARNING - Does not test for a stupid BuildRoot
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO README.GGZ QuickStart.GGZ

%{_bindir}/ggz-gtk

# Remember the hack above?
%{_datadir}

%{_mandir}/man6/ggz-gtk.6.*

%changelog
* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Updated to 0.0.6
- Minor Mandrakization (manpages are .bz2)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Debug should be off for release - added pixmap dir

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Fri Sep 14 2001 Jason Short <jdorje@users.sourceforge.net>
- Updated for 0.0.5pre version.

* Sun Apr 22 2001 Rich Gade <rgade@users.sourceforge.net>
- Updated for new distro name ggz-gtk-client

* Tue Mar 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
